%define upstream_name    Catalyst-Model-KiokuDB
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Use KiokuDB in your Catalyst apps
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Plugin::Authentication)
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(KiokuX::Model)
BuildRequires: perl(KiokuX::User)
BuildRequires: perl(Moose)
BuildRequires: perl(Scope::Guard)
BuildArch: noarch


%description
Perl extension to use KiokuDB in your Catalyst apps.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-11.mga8
+ Revision: 1493037
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.120.0-10.mga7
+ Revision: 1265950
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-9.mga6
+ Revision: 1023221
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-8.mga6
+ Revision: 949031
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-7.mga5
+ Revision: 788830
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-6.mga5
+ Revision: 746758
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-4.mga4
+ Revision: 509686
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-3.mga3
+ Revision: 363920
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.120.0-2.mga1
+ Revision: 41937
- mageia rebuild
- imported package perl-Catalyst-Model-KiokuDB


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.120.0-2mdv2011.0
+ Revision: 624895
- Add description and summary
- import perl-Catalyst-Model-KiokuDB

